Apt-Url nel wiki

Richieste di nuove guide, traduzioni, offerte di collaborazione e comunicazioni da parte del gruppo agli utenti.

Moderatore: Gruppo Documentazione

Re: Apt-Url nel wiki

Messaggioda filipsnew » giovedì 13 luglio 2017, 19:40

pachisapiu Immagine ha scritto:
filipsnew Immagine ha scritto:
Inoltre non si capisce da dove installare apturl, nel mio Lubuntu non è preinstallato.


Apri un terminale e scrivi
Codice: Seleziona tutto
sudo apt -y install apturl



Grazie ora l'ho installato.
Non fare agli altri ciò che non vorresti fosse fatto a te stesso
Avatar utente
filipsnew
Prode Principiante
 
Messaggi: 181
Iscrizione: giugno 2014
Desktop: ubuntu Unity - GNOME
Distribuzione: Ubuntu 14.04 LTS i686

Re: Apt-Url nel wiki

Messaggioda [ Giulio@Linux ] » lunedì 24 luglio 2017, 12:21

Adesso è più chiaro secondo voi?
Hai un vecchio computer? Segui la guida dedicata! Installazione/HardwareObsoleto
Avatar utente
[ Giulio@Linux ]
Gruppo Documentazione
Gruppo Documentazione
 
Messaggi: 1399
Iscrizione: marzo 2008
Desktop: MATE - Compiz
Distribuzione: Ubuntu MATE 16.04 64bit
Sesso: Maschile

Re: Apt-Url nel wiki

Messaggioda filipsnew » martedì 25 luglio 2017, 6:40

[ Giulio@Linux ] Immagine ha scritto:Adesso è più chiaro secondo voi?


Secondo me sì :)
Non fare agli altri ciò che non vorresti fosse fatto a te stesso
Avatar utente
filipsnew
Prode Principiante
 
Messaggi: 181
Iscrizione: giugno 2014
Desktop: ubuntu Unity - GNOME
Distribuzione: Ubuntu 14.04 LTS i686

Re: Apt-Url nel wiki

Messaggioda Staffo » venerdì 1 settembre 2017, 18:14

Ho modificato la procedura di installazione di apturl.
Dato che precedentemente era scritto di installare apturl con apturl, non avrebbe mai funzionato. Ho quindi inserito un paio di righe con la procedura di installazione sia da un generico gestore pacchetti che da terminale ;)
Ho volutamente usato apt-get, non so se per le derivate della 14.04 lo strumento "apt" (e non "apt-get") funziona.

Link: AmministrazioneSistema/InstallareProgrammi/AptUrl
Staffo
Gruppo Documentazione
Gruppo Documentazione
 
Messaggi: 762
Iscrizione: marzo 2012
Località: Palazzolo sull'Oglio
Desktop: Unity
Distribuzione: Ubuntu 16.04 LTS
Sesso: Maschile

Re: Apt-Url nel wiki

Messaggioda Marilù3 » lunedì 4 settembre 2017, 18:01

Non è una questione di wiki più o meno chiaro, ma riguardo al funzionamento di apturl con Firefox, credo che andrebbe chiarito meglio questo aspetto nel link , perché Firefox sta cambiando il modo di gestire le estensioni e ho il sospetto che ciò impedisca anche il funzionamento di apturl .

viewtopic.php?f=46&t=63240&p=5005433#p5005433
Avatar utente
Marilù3
Prode Principiante
 
Messaggi: 57
Iscrizione: dicembre 2016
Desktop: MATE
Distribuzione: Ubuntu 14.04.5 LTS x86_64

Re: Apt-Url nel wiki

Messaggioda [ Giulio@Linux ] » mercoledì 6 settembre 2017, 13:47

Ciao!
Marilù3 Immagine ha scritto:su Ubuntu Mate 14.04 c'è apturl ma su Firefox occorre fare quelle modifiche con about:config e si è aperto il Software Center

Quali sono le modifiche da fare?
Inoltre avresti modo di verificare su un sistema installato e/o altre derivate e/o Ubuntu Unity?

Ubuntu Mate 16.04 installati:
su un 16.04 il collegamento a nano non si apre, nell'altro invece sì.
Anche qui ho notato che dove il multiprocesso diFirefox è attivo, apturl non funziona.
Funziona invece su Firefox dove è disattivato perché ho ancora le estensioni tipo DownthemAll, ubuntuModification, ecc...cioè di tipo xpi-xul [...] Preciso che nelle live Firefox arriva equipaggiato di questa estenstione, Ubuntu Modification, che è un estensione di tipo xpi che disattiva il multiprocesso.

Non ho capito... Stai confermando che dove è attiva l'estensione Ubuntu Modification funziona tutto?
È quindi sufficiente abilitare Ubuntu Modification per riavere apt-url funzionante almeno sulle due LTS supportate? Se sì, della causa al momento direi che possiamo fregarcene. :birra:
Hai un vecchio computer? Segui la guida dedicata! Installazione/HardwareObsoleto
Avatar utente
[ Giulio@Linux ]
Gruppo Documentazione
Gruppo Documentazione
 
Messaggi: 1399
Iscrizione: marzo 2008
Desktop: MATE - Compiz
Distribuzione: Ubuntu MATE 16.04 64bit
Sesso: Maschile

Re: Apt-Url nel wiki

Messaggioda Marilù3 » mercoledì 6 settembre 2017, 17:40

Le modifiche da fare sono scritte qui https://wiki.ubuntu-it.org/Amministrazi ... mmi/AptUrl (Firefox 3 e successivi)
però quelle modifiche funzionano solo se il multiprocesso di Firefox è disattivato
Ieri sera ho provato anche su Ubuntu 14.04 con Unity e anche li lo stesso risultato: se Firefox ha il multiprocesso attivato non mi fa aprire i link di apt url, anche se ho appplicato le modifiche con about:config.
Il fatto è che Firefox a partire dalla versione 57 (prevista per ottobre) non supporterà più le estensioni di tipo xpi-xul, fra le quali ci sono ad esempio PDFit, Downthemall, Ubuntu Modification, ma solo le web estentions . Finché ci sono delle estensioni di tipo vecchio installate il multiprocesso non si attiva.
Non appena si rimuovono tutte le estensioni xpi, si attiva di default il multprocesso. Fino ad adesso possono coesistere i due tipi di estensioni, ma sul forum di Mozilla dicono che a partire da Firefox 57 le xpi smetteranno di funzionare.
Dunque, facendo quelle quattro o cinque prove, in maniera grossolana ho rinominato la cartella nascosta di Firefox, per eliminare tutte le estensioni xpi e attivare il multiprocesso, ed ecco che ricompare l'errore "indirizzo non interpretabile".
https://forum.mozillaitalia.org/index.p ... #msg480823
Ora, secondo me l'importanza di apturl è secondaria, in quanto con synaptic e terminale me la sono sempre cavata.
Mi dispiace piuttosto per Firefox che secondo me perderà diversi punti con questi cambiamenti;
comunque l'ho voluto segnalare se qualcuno volesse verificare la mia ipotesi (potrebbe darsi che capiti solo a me) .
Avatar utente
Marilù3
Prode Principiante
 
Messaggi: 57
Iscrizione: dicembre 2016
Desktop: MATE
Distribuzione: Ubuntu 14.04.5 LTS x86_64

Re: Apt-Url nel wiki

Messaggioda [ Giulio@Linux ] » giovedì 7 settembre 2017, 15:02

Marilù3 Immagine ha scritto:Il fatto è che Firefox a partire dalla versione 57 (prevista per ottobre) non supporterà più le estensioni di tipo xpi-xul, fra le quali ci sono ad esempio PDFit, Downthemall, Ubuntu Modification, ma solo le web estentions . Finché ci sono delle estensioni di tipo vecchio installate il multiprocesso non si attiva.

A tempo debito vedremo il da farsi, manca ancora qualche mese.
Se la tua ipotesi sarà verificata, probabilmente basterà aggiungere una nota per avvisare che apt-url su Firefox funziona solo fino alla versione precedente alla 57. Staremo a vedere!
Hai un vecchio computer? Segui la guida dedicata! Installazione/HardwareObsoleto
Avatar utente
[ Giulio@Linux ]
Gruppo Documentazione
Gruppo Documentazione
 
Messaggi: 1399
Iscrizione: marzo 2008
Desktop: MATE - Compiz
Distribuzione: Ubuntu MATE 16.04 64bit
Sesso: Maschile

Re: Apt-Url nel wiki

Messaggioda Marilù3 » venerdì 8 settembre 2017, 18:36

Si, comunque rimane l'estensione per Chrome, funziona bene anche su Chromium e Slimjet.
Avatar utente
Marilù3
Prode Principiante
 
Messaggi: 57
Iscrizione: dicembre 2016
Desktop: MATE
Distribuzione: Ubuntu 14.04.5 LTS x86_64

Re: Apt-Url nel wiki

Messaggioda Staffo » lunedì 11 settembre 2017, 22:33

Riprendo la discussione dal messaggio di Marilù postato qui: viewtopic.php?f=46&t=63240&start=80#p5005433

Marilù3 Immagine ha scritto:Ho fatto qualche altra prova con Ubuntu Mate, sia con delle live fatte girare su Virtualbox e anche con altri due Ubuntu Mate installati sui miei pc [...]


Innanzitutto grazie dei test Marilù3! Siamo lenti nel rispondere, ma apprezziamo sempre l'aiuto :D
Dopo aver letto il tuo post ho fatto qualche ricerca e pare che l'addon xul-ext-ubufox (storicamente ubufox) è stato aggiornato per utilizzare il "multiprocesso", si veda ad esempio:
- http://changelogs.ubuntu.com/changelogs ... /changelog
- http://changelogs.ubuntu.com/changelogs ... /changelog

A riprova del fatto che funziona, ho disabilitato le estensioni che utilizzo tranne Ubuntu modifications in firefox e al successivo riavvio del browser il multiprocesso viene abilitato automaticamente (digitare about:support nella barra degli indirizzi di firefox):
Immagine

Apturl con multiprocesso di firefox abilitato funziona nel mio sistema (ubuntu 16.04) senza problemi.
A questo punto ho verificato se, abilitando o disabilitando il plugin Ubuntu modifications, apturl funzionasse o meno. Anche disabilitando ubufox e riavviando firefox, i link di apturl sul wiki funzionano senza problemi sulla mia installazione di ubuntu 16.04.

Ricapitolando (ubuntu 16.04 aggiornato):
- "ubufox" non disabilita il multiprocesso di firefox, nè blocca apturl
- disabilitando "ubufox" apturl continua a funzionare

A questo punto sono un po' spaesato, dato che non riscontro problemi con apturl e, se la memoria non mi inganna, ha sempre funzionato sulle mie installazioni di ubuntu 14.04, 12.04 e anche in quelle intermedie (sì, prediligo le LTS, ma le provo/utilizzo comunque tutte indiscriminatamente :D ).

Chiaramente parlo di Ubuntu, non saprei per Ubuntu Mate...
Domandina: hai installato tutti gli aggiornamenti di Ubuntu Mate prima di testare apturl? L'ultimo aggiornamento del plugin per firefox è di questo agosto...
Se il problema persiste sulle derivate, credo che dobbiamo cercare il problema altrove. Continueremo a cercare!

Facci sapere! :)
Allegati
aboutsupport.png
Staffo
Gruppo Documentazione
Gruppo Documentazione
 
Messaggi: 762
Iscrizione: marzo 2012
Località: Palazzolo sull'Oglio
Desktop: Unity
Distribuzione: Ubuntu 16.04 LTS
Sesso: Maschile

Re: Apt-Url nel wiki

Messaggioda Marilù3 » martedì 12 settembre 2017, 18:42

Ciao,
Si Ubuntu è aggiornato però a me apturl si ostina a non funzionare.
Ubuntu Modification è stato aggiornato il 14 agosto.

PS su Palemoon (fork di Firefox) apturl funziona bene
Avatar utente
Marilù3
Prode Principiante
 
Messaggi: 57
Iscrizione: dicembre 2016
Desktop: MATE
Distribuzione: Ubuntu 14.04.5 LTS x86_64

Precedente

Torna a Gruppo Documentazione

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 6 ospiti